package com.jeeplus.test.workContract.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jeeplus.test.workContract.domain.WorkContractBorrow;
import com.jeeplus.test.workContract.domain.WorkContractBorrowMessage;
import com.jeeplus.test.workContract.domain.WorkContractFile;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface WorkContractBorrowMapper extends BaseMapper<WorkContractBorrow> {

    void updateStatusById(@Param("id") String id, @Param("borrowType")String borrowType);

    void updateStatusByContractInfoId(@Param("id") String id, @Param("borrowType")String borrowType);

    WorkContractBorrow selectFileByContractInfoId (@Param("id") String id);

    void updateMessageByBorrowId(@Param("id") String id, @Param("borrowType")String borrowType, @Param("type")String type);

    void deleteMessageById(@Param("id") String id);

    List<WorkContractBorrowMessage> findMessageList(@Param("id") String id);
}
